<?php
/**
 * Copyright © 2013-2017 Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
namespace GlobalOnePay\Payment\Observer;

use Magento\Framework\Event\ObserverInterface;
use Magento\Sales\Model\Order;

class UpdateAllEditIncrementsObserver implements ObserverInterface
{
    /**
     *
     * @var \GlobalOnePay\Payment\Helper\Data
     */
    protected $globalonepayData;

    /**
     * @param \GlobalOnePay\Payment\Helper\Data $globalonepayData
     */
    public function __construct(
        \GlobalOnePay\Payment\Helper\Data $globalonepayData
    ) {
        $this->globalonepayData = $globalonepayData;
    }

    /**
     * Save order into registry to use it in the overloaded controller.
     *
     * @param \Magento\Framework\Event\Observer $observer
     * @return $this
     */
    public function execute(\Magento\Framework\Event\Observer $observer)
    {
        /* @var $order Order */
        $order = $observer->getEvent()->getData('order');
        $this->globalonepayData->updateOrderEditIncrements($order);

        return $this;
    }
}
